| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Attributes | List of all members
wxAuiDefaultTabArt Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

Inheritance diagram for wxAuiDefaultTabArt:
[legend]

## Detailed Description

Default art provider for wxAuiNotebook.

See also
  wxAuiTabArt

Appearance:

Generic Appearance

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions

| wxAuiDefaultTabArt ()
virtual | ~wxAuiDefaultTabArt ()
wxAuiTabArt * | Clone ()
| Clones the art object. More...
void | SetFlags (unsigned int flags)
| Sets flags. More...
void | SetSizingInfo (const wxSize &tabCtrlSize, size_t tabCount)
| Sets sizing information. More...
void | SetNormalFont (const wxFont &font)
| Sets the normal font for drawing labels. More...
void | SetSelectedFont (const wxFont &font)
| Sets the font for drawing text for selected UI elements. More...
void | SetMeasuringFont (const wxFont &font)
| Sets the font used for calculating measurements. More...
void | SetColour (const wxColour &colour)
| Sets the colour of the inactive tabs. More...
void | SetActiveColour (const wxColour &colour)
| Sets the colour of the selected tab. More...
void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
| Draws a background on the given area. More...
void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &pane, const wxRect &inRect, int closeButtonState, wxRect *outTabRect, wxRect *outButtonRect, int *xExtent)
| Draws a tab. More...
void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &inRect, int bitmapId, int buttonState, int orientation, wxRect *outRect)
| Draws a button. More...
int | GetIndentSize ()
| Returns the indent size. More...
wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmap &bitmap, bool active, int closeButtonState, int *xExtent)
| Returns the tab size for the given caption, bitmap and state. More...
int | ShowDropDown (wxWindow *wnd, const wxAuiNotebookPageArray &items, int activeIdx)
int | GetBestTabCtrlSize (wxWindow *wnd, const wxAuiNotebookPageArray &pages, const wxSize &requiredBmpSize)
| Returns the tab control size. More...
Public Member Functions inherited from wxAuiTabArt
| wxAuiTabArt ()
| Constructor. More...

## Protected Attributes

wxFont | m_normalFont
| The font used for all tabs. More...
wxFont | m_selectedFont
wxFont | m_measuringFont
| The font used on the selected tab. More...
wxColour | m_baseColour
wxPen | m_baseColourPen
wxPen | m_borderPen
wxBrush | m_baseColourBrush
wxColour | m_activeColour
wxBitmap | m_activeCloseBmp
wxBitmap | m_disabledCloseBmp
wxBitmap | m_activeLeftBmp
wxBitmap | m_disabledLeftBmp
wxBitmap | m_activeRightBmp
wxBitmap | m_disabledRightBmp
wxBitmap | m_activeWindowListBmp
wxBitmap | m_disabledWindowListBmp
int | m_fixedTabWidth
int | m_tabCtrlHeight
unsigned int | m_flags

## Constructor & Destructor Documentation

wxAuiDefaultTabArt::wxAuiDefaultTabArt | ( |  | ) |

virtual wxAuiDefaultTabArt::~wxAuiDefaultTabArt | ( |  | ) |

virtual

## Member Function Documentation

wxAuiTabArt* wxAuiDefaultTabArt::Clone | ( |  | ) |

virtual

Clones the art object.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |

virtual

Draws a background on the given area.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect
| ) |  |

virtual

Draws a button.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent
| ) |  |

virtual

Draws a tab.

Implements wxAuiTabArt.

int wxAuiDefaultTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & |
| ) |  |

virtual

Returns the tab control size.

Implements wxAuiTabArt.

int wxAuiDefaultTabArt::GetIndentSize | ( |  | ) |

virtual

Returns the indent size.

Implements wxAuiTabArt.

wxSize wxAuiDefaultTabArt::GetTabSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmap & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent
| ) |  |

virtual

Returns the tab size for the given caption, bitmap and state.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetActiveColour | ( | const wxColour & | colour | ) |

virtual

Sets the colour of the selected tab.

Since
  2.9.2

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetColour | ( | const wxColour & | colour | ) |

virtual

Sets the colour of the inactive tabs.

Since
  2.9.2

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetFlags | ( | unsigned int | flags | ) |

virtual

Sets flags.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetMeasuringFont | ( | const wxFont & | font | ) |

virtual

Sets the font used for calculating measurements.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetNormalFont | ( | const wxFont & | font | ) |

virtual

Sets the normal font for drawing labels.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetSelectedFont | ( | const wxFont & | font | ) |

virtual

Sets the font for drawing text for selected UI elements.

Implements wxAuiTabArt.

void wxAuiDefaultTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count
| ) |  |

virtual

Sets sizing information.

Implements wxAuiTabArt.

int wxAuiDefaultTabArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiNotebookPageArray & | items,
|  | int | activeIdx
| ) |  |

## Member Data Documentation

wxBitmap wxAuiDefaultTabArt::m_activeCloseBmp

protected

wxColour wxAuiDefaultTabArt::m_activeColour

protected

wxBitmap wxAuiDefaultTabArt::m_activeLeftBmp

protected

wxBitmap wxAuiDefaultTabArt::m_activeRightBmp

protected

wxBitmap wxAuiDefaultTabArt::m_activeWindowListBmp

protected

wxColour wxAuiDefaultTabArt::m_baseColour

protected

wxBrush wxAuiDefaultTabArt::m_baseColourBrush

protected

wxPen wxAuiDefaultTabArt::m_baseColourPen

protected

wxPen wxAuiDefaultTabArt::m_borderPen

protected

wxBitmap wxAuiDefaultTabArt::m_disabledCloseBmp

protected

wxBitmap wxAuiDefaultTabArt::m_disabledLeftBmp

protected

wxBitmap wxAuiDefaultTabArt::m_disabledRightBmp

protected

wxBitmap wxAuiDefaultTabArt::m_disabledWindowListBmp

protected

int wxAuiDefaultTabArt::m_fixedTabWidth

protected

unsigned int wxAuiDefaultTabArt::m_flags

protected

wxFont wxAuiDefaultTabArt::m_measuringFont

protected

The font used on the selected tab.

wxFont wxAuiDefaultTabArt::m_normalFont

protected

The font used for all tabs.

wxFont wxAuiDefaultTabArt::m_selectedFont

protected

int wxAuiDefaultTabArt::m_tabCtrlHeight

protected